# vim: set sw=4 ts=4 et nu:

# Copyright (c) 2011-2013 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/

Name:           morituri
Version:        0.2.2
Release:        1.5
Summary:        CD Ripper
Source:         http://thomas.apestaart.org/download/morituri/morituri-%{version}.tar.bz2
Source99:       morituri-rpmlintrc
URL:            https://thomas.apestaart.org/morituri/trac/
Group:          Productivity/Multimedia/CD/Grabbers
License:        GNU General Public License version 3 (GPL v3)
BuildRoot:      %{_tmppath}/build-%{name}-%{version}
BuildRequires:  cdparanoia
BuildRequires:  cdrdao
BuildRequires:  python-gstreamer-0_10
BuildRequires:  python-musicbrainz2
BuildRequires:  python-pycdio
BuildRequires:  python-devel
BuildRequires:  python-distribute
BuildRequires:  make pkgconfig
BuildRequires:  autoconf automake libtool
BuildRequires:  fdupes
Requires:       cdparanoia
Requires:       cdrdao
Requires:       python-gstreamer-0_10
Requires:       python-musicbrainz2
Requires:       python-pycdio
%{!?python_sitelib:  %global python_sitelib  %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%if 0%{?suse_version} >= 1120
BuildArch:      noarch
%endif
%py_requires

%description
morituri is a CD ripper that aims for accuracy over speed. Its features are
modeled to compare with Exact Audio Copy on Windows. It features support for
MusicBrainz for metadata lookup, support for AccurateRip verification,
detection of sample read offset of drives, the ability to test and copy a rip,
the ability to detect and rip Hidden Track One Audio, templates for file and
directory naming, and tagging using GStreamer. Currently, it only supports
lossless encoding and only has a command line client.

%prep
%setup -q

%build
%configure
%__make %{?_smp_flags}

%install
%makeinstall

%fdupes -s "%{buildroot}%{python_sitelib}/"

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog HACKING NEWS README TODO
%config /etc/bash_completion.d/rip
%{_bindir}/rip
%{python_sitelib}/morituri
%doc %{_mandir}/man1/rip.1%{ext_man}

%changelog
* Tue Aug  6 2013 pascal.bleser@opensuse.org
- update to 0.2.2:
  * No matching offset found
  * 'rip cd info' should not eject the disc
  * Use track instead of the release artist MBID for the 'Musicbrainz artist ID'
  * "rip offset find" fails to initialise program.Program
  * Set album artist tag
* Sun Jun  5 2011 pascal.bleser@opensuse.org
- initial version (0.1.2)
